Subject: bug#55081: closed (Re: [bug#55081] [PATCH v2] Allow Guix root-dir overrides when working via Tramp.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Mar 2023 19:07:03 +0000

Your bug report

#55081: [PATCH v1] Allow Guix root-dir overrides when working via Tramp.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55081: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55081
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#55081] [PATCH v2] Allow Guix root-dir overrides when working via Tramp.
From: Leo Famulari <[email-masked]>
To: Brian Cully via Guix-patches via <[email-masked]>
Cc: [email-masked], Brian Cully <[email-masked]>
Date: Sun, 5 Mar 2023 14:06:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, May 21, 2022 at 03:10:24PM -0400, Brian Cully via Guix-patches via wrote:
> From: Brian Cully <[email-masked]>
> 
> Add only the local part of the root directory to the guile search
> path. This lets you use Tramp to hack on a remote Guix checkout.
> ---
> I think my last patch was mangled by GNUS, so I'm resending it.
> 
> FWIW, I've been using this for months without issue.

Okay, pushed as cedf97ed6ee4eba8c39bfe6cc0efe33fcb977ccf

Thanks!

Subject: [PATCH v1] Allow Guix root-dir overrides when working via Tramp.
From: Brian Cully <[email-masked]>
To: [email-masked]
Date: Sat, 23 Apr 2022 12:17:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Add only the local part of the root directory to the guile search
path. This lets you use Tramp to hack on a remote Guix checkout.
---
 .dir-locals.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.dir-locals.el b/.dir-locals.el
index 09e19223d5..3b75989133 100644
--- a/.dir-locals.el
+++ b/.dir-locals.el
@@ -29,7 +29,7 @@
                ;; Hence the following "when", which might otherwise be unnecessary;
                ;; it prevents causing an error when root-dir-unexpanded is nil.
                (when root-dir-unexpanded
-                 (let* ((root-dir (expand-file-name root-dir-unexpanded))
+                 (let* ((root-dir (file-local-name (expand-file-name root-dir-unexpanded)))
                         ;; Workaround for bug https://issues.guix.gnu.org/43818.
                         (root-dir* (directory-file-name root-dir)))

base-commit: 8540c2d86ca535ceb188c838cf1885de6f65c94f
-- 
2.35.1